# $Revision: 1.41 $, $Date: 2009/09/02 07:20:34 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Netscape
%define		pnam	Cache
Summary:	Netscape::Cache Perl module
Summary(cs.UTF-8):	Modul Netscape::Cache pro Perl
Summary(da.UTF-8):	Perlmodul Netscape::Cache
Summary(de.UTF-8):	Netscape::Cache Perl Modul
Summary(es.UTF-8):	Módulo de Perl Netscape::Cache
Summary(fr.UTF-8):	Module Perl Netscape::Cache
Summary(it.UTF-8):	Modulo di Perl Netscape::Cache
Summary(ja.UTF-8):	Netscape::Cache Perl モジュール
Summary(ko.UTF-8):	Netscape::Cache 펄 모줄
Summary(nb.UTF-8):	Perlmodul Netscape::Cache
Summary(pl.UTF-8):	Moduł Perla Netscape::Cache
Summary(pt.UTF-8):	Módulo de Perl Netscape::Cache
Summary(pt_BR.UTF-8):	Módulo Perl Netscape::Cache
Summary(ru.UTF-8):	Модуль для Perl Netscape::Cache
Summary(sv.UTF-8):	Netscape::Cache Perlmodul
Summary(uk.UTF-8):	Модуль для Perl Netscape::Cache
Summary(zh_CN.UTF-8):	Netscape::Cache Perl 模块
Name:		perl-Netscape-Cache
Version:	0.46
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f39bc40fc2c3f61219ac5a3d4a39ccc2
Patch0:		%{name}-paths.patch
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
%{?with_tests:BuildRequires:	db1}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Netscape::Cache - module for accessing Netscape cache files.

%description -l pl.UTF-8
Netscape::Cache umożliwia dostęp do cache'a Nestscape'a.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
rm -f examples/*~
rm -f examples/*.orig
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Netscape/Cache.pm
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/nscache
%{_examplesdir}/%{name}-%{version}/[Rbc]*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Netscape-Cache.spec,v $
Revision 1.41  2009/09/02 07:20:34  amateja
- updated to 0.46

Revision 1.40  2008/07/27 22:44:36  arekm
- release 4

Revision 1.39  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.38  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.37  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.36  2004/11/03 22:30:38  paladine
- formatting

Revision 1.35  2004/05/07 01:09:23  ankry
- rel. 3

Revision 1.34  2004/05/06 18:20:48  ankry
- fixed perl-devel BR

Revision 1.33  2004/04/27 07:12:37  ankry
- license fixes, cosmetics

Revision 1.32  2004/03/13 23:09:16  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.31  2004/02/18 15:51:30  qboosh
- s/no/nb/ in Summary langs

Revision 1.30  2003/09/09 10:24:44  ankry
- spaces -> tab

Revision 1.29  2003/08/18 08:09:05  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/28 13:00:55  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:24:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.25  2003/03/01 20:22:03  radek
- should be ready for perl-5.8.0; release++

Revision 1.24  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:37:26  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/10/05 11:38:57  ankry
- cleaning, translations, fixed examples, new %%doc
- added tests (disabled)
- updated 0.45

Revision 1.21  2002/07/10 08:48:22  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:33:28  depesz
- cleanup; revision++

Revision 1.18  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:19:13  depesz
- automatic: Source location unified, Relase Up

Revision 1.16  2002/02/10 15:31:30  depesz
- adapterized

Revision 1.15  2002/01/18 02:14:24  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:21  mis
- buildarch noarch; release++

Revision 1.13  2001/04/17 12:13:53  baggins
- release 4
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/01/19 06:53:47  kloczek
- do not include .packlist in %%files,
- spec adapterized.

Revision 1.10  2001/01/13 01:20:57  dobrek
- Req:perl>=5.6 ;Realase=4;New rpm automat

Revision 1.9  2000/07/17 00:07:37  kloczek
- release 2.

Revision 1.8  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:34:42  pius
- updated to 0.44

Revision 1.2  1999/11/05 23:57:53  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
